Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.amazonaws.services.ec2.model
Class DescribeVpnConnectionsResult

    java.lang.Object
      com.amazonaws.services.ec2.model.DescribeVpnConnectionsResult

    public class DescribeVpnConnectionsResult

extends Object

Constructor Summary
`DescribeVpnConnectionsResult()`

Method Summary
`List<VpnConnection>` | `getVpnConnections()`
`void` | `setVpnConnections(Collection<VpnConnection> vpnConnections)`
`String` | `toString()` Returns a string representation of this object; useful for testing and debugging.
`DescribeVpnConnectionsResult` | `withVpnConnections(Collection<VpnConnection> vpnConnections)` Returns a reference to this object so that method calls can be chained together.
`DescribeVpnConnectionsResult` | `withVpnConnections(VpnConnection... vpnConnections)` Returns a reference to this object so that method calls can be chained together.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DescribeVpnConnectionsResult

    public DescribeVpnConnectionsResult()

Method Detail

### getVpnConnections

    public List<VpnConnection> getVpnConnections()

  Returns:

### setVpnConnections

    public void setVpnConnections(Collection<VpnConnection> vpnConnections)

  Parameters:
    `vpnConnections` -

### withVpnConnections

    public DescribeVpnConnectionsResult withVpnConnections(VpnConnection... vpnConnections)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpnConnections` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### withVpnConnections

    public DescribeVpnConnectionsResult withVpnConnections(Collection<VpnConnection> vpnConnections)

  Returns a reference to this object so that method calls can be chained together.

  Parameters:
    `vpnConnections` -
  Returns:
    A reference to this updated object so that method calls can be chained together.

### toString

    public String toString()

  Returns a string representation of this object; useful for testing and debugging.

  Overrides:
    `toString` in class `Object`
  Returns:
    A string representation of this object.
  See Also:
    `Object.toString()`

Overview | Package | Class | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2010 Amazon Web Services, Inc. All Rights Reserved.